لینوکس و من

معرفی توزیع:فدورا لینوکس

نویسنده : علیرضا احسانی | تاریخ: 1396/07/7

اجرای دستورات sudo به صورت گرافیکی در فدورا و دبیان

نویسنده : امین | تاریخ: 1391/04/17

در دبیان‌ها چیزی داریم به نام gksu که این کمک میکنه یه برنامه رو تحت کاربر root به صورت گرافیکی اجرا کنیم. با یه مثال توضیح میدم. مثلا اگه بخوایم یه شورت‌کات بسازیم که بخوایم nautilus رو با کاربر root باز کنیم، نمیتونیم در قسمت command شورت‌کات بنویسیم sudo nautilus . چون که sudo باید در ترمینال باشه تا بتونیم پسورد رو وارد کنیم. به جای sudo از gksu استفاده میکنیم. و مینویسیم: gksu nautilus با کلیک روی این شورت‌کات پنجره ای باز میشه که از ما پسورد میخواد.
در فدورا اما... gksu نداریم. باید چیزی به نام beesu رو نصب کنید که دقیقا همین کار رو میکنه: yum install beesu

نصب مدیاپلیر برای فدورا

نویسنده : امین | تاریخ: 1391/04/14

فدورای ۳ اولین لینوکسی بود که روی کامپیوترم نصب کرده بودم... چند سال بعد، فدورای ۹ رو نصب کردم. و بعد دیگه فدورا رو ندیدم...
الآن فدورای ۱۷ رو نصب کردم. دارم باهاش کار میکنم، خوبه. راضی هستم. اما نه اون قدری که دبیان‌ها راضی کننده بودند. مدیر بسته ی فدورا، yum خیلی دست و پا گیره. مدیر بسته ی دبیان خیلی راحت تر بود. رابط گرافیکی مدیر بسته ها در فدورا اصلا چیز خوبی نیست. حد اقل نسبت به چیزای مشابه در دبیان‌ها. خلاصه اینکه اصلا با اینش حال نکردم. اگه کسی چیزی شبیه synaptic سراغ داره بگه. چون اینی که الان هست و اسمش هم نمیدونم اصلا به درد بخور نیست. البته synaptic توی فدورا نصب میشه، ولی فقط بسته هایی که نصب هستند رو نشون میده.
بگذریم...
فدورا یه توزیع کاملا آزاده. یعنی مثل اوبونتو به طور پیش فرض از mp3 و avi و فرمتهای غیرآزاد که الان شایع هستند پشتیبانی نمیکنه. این مسئله اونقدر برای فدورا مهمه که حتی کدک‌های لازم رو هم در مخازن بسته هاش قرار نداده. و شما برای نصب کدک‌ها و چیزهایی مثل vlc باید مخازن دیگه ای رو اضافه کنید! باز اوبونتو این بسته ها رو در مخازن خودش داره حد اقل!
 ابندا برای نصب مخازن مورد نیاز، این چند خط رو در ترمینال کپی/پیست/اجرا کنید:

rpm -Uvh http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-stable.noarch.rpm http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-stable.noarch.rpm

حالا بسته های مورد نیازتون رو نصب کنید. مثلا:

yum install gstreamer gstreamer-plugins-base gstreamer-plugins-ugly gstreamer-ffmpeg gstreamer-tools gstreamer-plugins-good libdvdread ffmpeg

هر کدوم که error داد و گفت همچین چیزی نداریم، از توی دستورتون برش دارید. همینها به نظرم کافی هستن.

منابع + و +